Bug 598138 - Review Request: rubygem-rmail - A MIME mail parsing and generation library
Review Request: rubygem-rmail - A MIME mail parsing and generation library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
: 569198 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-31 10:30 EDT by Shreyank Gupta
Modified: 2010-06-10 15:16 EDT (History)
6 users (show)

See Also:
Fixed In Version: rubygem-rmail-1.0.0-3.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-06 12:45:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Shreyank Gupta 2010-05-31 10:30:07 EDT
Spec URL: http://shreyankg.fedorapeople.org/packaging/rmail/rubygem-rmail.spec
SRPM URL: http://shreyankg.fedorapeople.org/packaging/rmail/rubygem-rmail-1.0.0-1.fc13.src.rpm
Description: RMail is a lightweight mail library containing various utility
classes and modules that allow ruby scripts to parse, modify, and generate MIME
mail messages.
Comment 1 Shreyank Gupta 2010-05-31 10:34:36 EDT
*** Bug 569198 has been marked as a duplicate of this bug. ***
Comment 2 Shreyank Gupta 2010-05-31 10:51:00 EDT
Spec file has been build from scratch by me, and I have taken care of the changes requested in bug 569198, comment 1.

Instead of building three packages as in bug 569198, I am building only one package containing both the binary and the rdoc. I have taken care to remove duplicate files, shebangs and zero-length files.

---
koji scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2219950
Comment 3 Mamoru TASAKA 2010-05-31 12:48:28 EDT
Some notes:

* Unneeded macros
  - Explicitly defined %ruby_sitelib is used nowhere.

* Unused macros
  - As %geminstdir is explicitly defined, please use it also
    in %files.

* ruby(abi) dependency
  - "R: ruby(abi) = 1.8" should be written:
    https://fedoraproject.org/wiki/Packaging/Ruby#Ruby_Packaging_Guidelines

* Documents
  - Please mark document files as %doc appropriately
    - The following files / directories should be marked as %doc:
      NEWS
      NOTES
      README
      Rakefile (as this is similar to "Makefile" for autotools system)
      THANKS
      TODO
      guide/
      install.rb (rather remove this)
      test/

    And I suggest to create -doc subpackage and move Rakefile guide/ test/
    to -doc subpackage.
  ! Note that when marking these files as %doc, please take care that duplicate
    %files entry won't appear.

* Enabling tests
  - As this gem contains test/ directory, please add %check section and
    execute some test program (rake test) there.

  ! Note
    Please check if zero-size files can really be removed. Actually for
    this package "rake test" fails if zero-size file test/data/multipart/data.17
    is removed.
Comment 4 Mamoru TASAKA 2010-05-31 12:50:31 EDT
(Just noting that please change release number rvery time you
 modify your spec file to avoid confusion, even during review request
 process)
Comment 5 Shreyank Gupta 2010-06-01 04:55:51 EDT
Updated:
--------

Spec URL: http://shreyankg.fedorapeople.org/packaging/rmail/rubygem-rmail.spec
SRPM URL:
http://shreyankg.fedorapeople.org/packaging/rmail/rubygem-rmail-1.0.0-2.fc13.src.rpm

Notes:
------

Along with your suggestions I have made the following other updates:

* BuildRequires: ruby

* Added rake test - thus I have kept the data.17 file intact. I could have removed it after rake tests, but did not. Although I get the following error with rpmlint:

rubygem-rmail-doc.noarch: E: zero-length /usr/lib/ruby/gems/1.8/gems/rmail-1.0.0/test/data/multipart/data.17

* In the separate -doc subpackage I have added 
 /doc
  NEWS
  NOTES
  THANKS
  TODO
alongwith,
  guide/
  test/
  Rakefile
as I think those should be a part of the -doc subpackage as well.

* I have deleted install.rb

Koji Scratch build:
-------------------
http://koji.fedoraproject.org/koji/taskinfo?taskID=2221764

P.S. Also should I do a scratch build everytime I update the specfile to the review request?
Comment 6 Mamoru TASAKA 2010-06-01 05:11:33 EDT
Will review later.

(In reply to comment #5)
> P.S. Also should I do a scratch build everytime I update the specfile to the
> review request?    

- Not mandatory. But it is recommended that you check if the updated
  srpm really builds with koji, because it is hardly possible to
  review srpms which cannot be built with koji.
Comment 7 Shreyank Gupta 2010-06-01 06:31:24 EDT
> (In reply to comment #5)
> > P.S. Also should I do a scratch build everytime I update the specfile to the
> > review request?    
> 
> - Not mandatory. But it is recommended that you check if the updated
>   srpm really builds with koji, because it is hardly possible to
>   review srpms which cannot be built with koji.    

Yes, I do a mock build on my system before I post the updated specs.
Comment 8 Mamoru TASAKA 2010-06-01 13:09:38 EDT
For -2:

* rubygem <-> ruby(rubygems)
  - For (Build)Requires, please choose one style (note:
    for rubygem(rake) or so, please keep this style)
    ! By the way "Requires: ruby(rubygems)" on -doc subpackage
      is not needed because -doc subpackage requires main package,
      which already has "Requires: rubygems".

* Directory ownership issue
  - %{geminstdir} itself is not owned by any packages.
  - %{gemdir}/doc itself should now owned by these packages.

* Document files
  - I think "NEWS THANKS NOTES TODO" should be in main
    package
  - I think "%doc" attribution in -doc subpackage is 
    unnecessary because the rpm name already says that it
    is for documentation.
Comment 9 Shreyank Gupta 2010-06-01 13:34:46 EDT
(In reply to comment #8)

>   - %{gemdir}/doc itself should now owned by these packages.
> 

I'm sorry, what do you mean by this.
%{gemdir}/docis already owned by the -docs subpackage
Comment 10 Mamoru TASAKA 2010-06-01 14:07:03 EDT
(In reply to comment #9)
> (In reply to comment #8)
> 
> >   - %{gemdir}/doc itself should now owned by these packages.
> > 
> 
> I'm sorry, what do you mean by this.
> %{gemdir}/docis already owned by the -docs subpackage    

Oops, typo, sorry

%{gemdir}/doc itself should "not be" owned by these packages (because
%{gemdir}/doc directory is already owned by rubygems)
Comment 11 Shreyank Gupta 2010-06-02 05:38:16 EDT
(In reply to comment #8)
Updated:
--------

Spec URL: http://shreyankg.fedorapeople.org/packaging/rmail/rubygem-rmail.spec
SRPM URL:
http://shreyankg.fedorapeople.org/packaging/rmail/rubygem-rmail-1.0.0-3.fc13.src.rpm

Notes:
------

*
<snip>
>   - I think "%doc" attribution in -doc subpackage is 
>     unnecessary because the rpm name already says that it
>     is for documentation.    
I get the following warning in rpmlint:
rubygem-rmail-doc.noarch: W: no-documentation

I guess that is ok.

* Mock build runs fine.
Comment 12 Mamoru TASAKA 2010-06-02 15:14:03 EDT
Well,

----------------------------------------------------------
   This package (rubygem-rmail) is APPROVED by mtasaka
----------------------------------------------------------

I will sponsor you. However while I could find your account on
FAS, the mail address on FAS and the one you are using on this
bugzilla differ, which must coincide. Please change either of them.
Comment 13 Shreyank Gupta 2010-06-02 16:59:17 EDT
(In reply to comment #12)
> I will sponsor you. However while I could find your account on
> FAS, the mail address on FAS and the one you are using on this
> bugzilla differ, which must coincide. Please change either of them.    

That would be a difficult thing to do. 
But I do have a different Bugzilla account with the same email as the FAS one.
Is there any way I could take ownership of this request from that bugzilla account?
Comment 14 Mamoru TASAKA 2010-06-03 03:07:00 EDT
Then would you once relogin to bugzilla with the same email
as FAS one for confirmation? When doing something related to packaging
review, logining to bugzilla with the same address as FAS one (or
with <FAS account name>@fedorapeoject.org) is needed on some process.
Comment 15 Shreyank Gupta 2010-06-03 03:59:48 EDT
(In reply to comment #14)
> Then would you once relogin to bugzilla with the same email
> as FAS one for confirmation? When doing something related to packaging
> review, logining to bugzilla with the same address as FAS one (or
> with <FAS account name>@fedorapeoject.org) is needed on some process.    

This would be the Bugzilla account that has the same email as my FAS account.
Comment 16 Mamoru TASAKA 2010-06-03 04:25:31 EDT
Thanks.

Please follow the procedure written on:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Add Package to CVS and Set Owner".

Now I am sponsoring you.

If you want to import this package into Fedora 12/13, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on koji Fedora rebuilding system).

If you have questions, please ask me.

Removing NEEDSPONSOR.
Comment 17 Shreyank Gupta 2010-06-03 06:50:03 EDT
New Package CVS Request
=======================
Package Name: rubygem-rmail
Short Description: A MIME mail parsing and generation library
Owners: shreyankg
Branches: F-13
Comment 18 Kevin Fenzi 2010-06-03 16:33:25 EDT
CVS done (by process-cvs-requests.py).
Comment 19 Fedora Update System 2010-06-04 06:11:05 EDT
rubygem-rmail-1.0.0-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/rubygem-rmail-1.0.0-3.fc13
Comment 20 Fedora Update System 2010-06-04 14:55:31 EDT
rubygem-rmail-1.0.0-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-rmail'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/rubygem-rmail-1.0.0-3.fc13
Comment 21 Mamoru TASAKA 2010-06-06 12:45:16 EDT
Closing.
Comment 22 Fedora Update System 2010-06-10 15:16:49 EDT
rubygem-rmail-1.0.0-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.